PDA

View Full Version : I need help with opengl for KotOR II



02-11-2005, 10:15 PM
When i downloaded KotOR II for the pc, a screen popped up saying a minimum requirement was no met, that my 1.3 verion of opengl is below the 1.4 recommended. I decided to try and play the game anyway, but the game crashes at the start of the quest. Is there any way to upgrade/update my opengl to accomodate. I have a RADEON IGP 345M 64MB video card

Thanks

02-12-2005, 12:32 PM
I'm having the same problem with my 82865 Intel graphics card. Intel will only support Open GL 1.3.

02-12-2005, 12:50 PM
Is there any way to keep the game from crashing like that? My video card is up to spec, its just that the OpenGl is slightly less than recommended

02-12-2005, 02:04 PM
Originally posted by <TheParallaxTide>:
My video card is up to spec, its just that the OpenGl is slightly less than recommendedUh... what spec?

Your integrated video does not meet the minimum requirements to play and neither does Jim's.

02-14-2005, 02:09 AM
Uh is right.

Truth is, the IGP 345M is based on the Radeon 9000. "But thats supported" you say. Right you are, but I said "based", in reality is a stripped down version that not only has a narrow 64 bit datapath (which is shared with the cpu) to access the memory (that delivers only around 2 gigabytes/sec of bandwidth) it uses also a reduced clock speed to save energy.

To sum it all up, the IGP 345M is way too slow to deliver playable framerates in KOTOR 2.

You may want to try the omegadrivers at www.omegadrivers.net (http://www.omegadrivers.net) to prevent the game from crashing, but it wont be fun running it on your system.

Integrated 3d solutions arent meant for serious gaming, their focus is energy and cost efficiency.

02-25-2005, 01:10 PM
Originally posted by <Jim>:
I'm having the same problem with my 82865 Intel graphics card. Intel will only support Open GL 1.3.yep i have the same thing and sam problem even when to intel and sent them an email to see if they can fix it too

02-25-2005, 02:16 PM
Originally posted by <blam0nk>:

Originally posted by <Jim>:
I'm having the same problem with my 82865 Intel graphics card. Intel will only support Open GL 1.3.yep i have the same thing and sam problem even when to intel and sent them an email to see if they can fix it tooUh... HELLO?!

02-25-2005, 02:18 PM
yea? hello back.

02-25-2005, 03:11 PM
Originally posted by <blacm0nk>:
yea? hello back.The following chipsets did not meet the minimum specifications or were found to have significant problems when playing Star Wars Knights of the Old Republic II: The Sith Lords.

3dfx Voodoo 2
3dfx Voodoo 3
3dfx Voodoo 4/5 (VSA 100)
3dfx Voodoo Banshee
3dfx Voodoo Graphics (Voodoo 1)
3dfx Voodoo Rush
ATI 3D Rage II
ATI Rage 128 Family
ATI Rage Pro Family
ATI Radeon 7000/7200/7500
Intel i740/i810
Intel i845/i865
Intel i915
Matrox G100/G200
Matrox 400/G450/G550
Matrox Millennium P650/P750
Matrox Parhelia 512
Mpact 2
Power VR 250
PowerVR Kyro/Kyro II
PowerVR Neon 250
PowerVR PCX/PCX-2
NVIDIA RIVA 128/128 ZX
NVIDIA RIVA TNT/TNT2 Family
NVIDIA GeForce 256
NVIDIA GeForce 2 MX
Permedia 2
Rendition V1000
Rendition V2100/V2200
S3 DeltaChrome S8
S3 Savage 2000
S3 Savage 3D
S3 Savage 4
S3 ViRGE Family
SiS 315
SiS 6326
SiS Xabre 200/400/600
Trident 3D Image 975/985
Trident Blade3D 9880
Trident BladeXP
XGI Volari V3/V5/V8

http://support.lucasarts.com/tsg/SWKotORIITableContents.htm

jonas2k2
03-14-2005, 10:00 PM
So what do we do if we have a video card thats on that list? Buy a new one? I have an ATI 7200, is there anyway I can play the game without having to buy a new card? Dammit I wish I had known this before I bought the game.

03-15-2005, 12:29 AM
Originally posted by jonas2k2:
Buy a new one?The short answer is: "Yes"


Originally posted by jonas2k2:
I have an ATI 7200, is there anyway I can play the game without having to buy a new card? Dammit I wish I had known this before I bought the game.No and you will have the same problem with any new(er) game.

03-17-2005, 06:50 AM
Or buy a console like Xbox or PS2.
No need to worry about updates. Of course, you will have to check if your fav game is on the console.

03-23-2005, 02:50 AM
well crap i just sent a post just like the conversation here excellent
im getting all the same problems and its hard to get a cheap yet fairly good videocard that'll support it

ZbuffeR
03-23-2005, 04:47 AM
Nvidia geforce FX 5200 seem pretty cheap to me, yet meet these specs.